%define debug_package %{nil}

Summary:	Translate an MTF stream to a TAR stream

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		mtftar
Version:	0.9.0
Release:	1%{?dist}
URL:		https://github.com/geocar/mtftar

License:	GPL

Group:		Applications/Forensics Tools
Source:		%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}

%description
mtftar is a tool for translating a MTF stream to a TAR stream.

MTF is a format commonly found on Microsoft systems as it's what is generated
by the NTBACKUP.EXE tool that ships with all modern versions of Windows.

Usage: mtftar [-v] [-p] [-s setno] [patterns...] < backup.btf | tar xvf -
       mtftar [-v] [-p] [-s setno] -f backup.btf [patterns...] | tar xvf -
       mtftar [-v] [-p] [-s setno] -f backup.btf -o output.tar [patterns...]
       mtftar [-v] [-p] [-s setno] -o output.tar [patterns...] < backup.btf
       mtftar -l [-v] [-s setno] < backup.btf
       mtftar -l [-v] [-s setno] -f backup.btf
       mtftar -L [-v] [-s setno] < backup.btf
       mtftar -L [-v] [-s setno] -f backup.btf

mtftar is most often used as a filter, as in:

	mtftar < MyBackup.bkf | tar xvf -

mtftar can read Incremental, Differential, Copy, and Normal backups, but it
does not understand them. If you are using these backup modes in separate
bkf files, you should be careful to order your extractions.

mtftar _should_ be able to read directly from the TAPE drive on Linux, and
possibly other systems as well.

mtftar can pre-filter the input stream as well as patch the pathnames
on-the-fly. this is done with the -p option which "strips" what is matched
as prefix on the patterns.

mtftar does NOT understand the ACL streams, although patches would be accepted
that translated these into the POSIX ACL extensions for the TAR format.


parts of mtftar, and most of the best-knowledge on the bkf file format, and MTF
in general comes from a hard-to-find program called "mtf" which I cannot find
again, but seems to be written by a D. Alan Stewart. "mtf" crashed an awful
lot, and generated bogus output frequently, but nevertheless, was invaluable
in building mtftar. "mtf" was released under the GNU Public License version 2
or any later version.

%prep
%setup

%build
%{__make}

%install
%{__install} -Dp -m755 %{name} %{buildroot}%{_bindir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc 
%attr(0755, root, root)	%{_bindir}/%{name}

%changelog
* Mon Aug  9 2021 Lawrence R. Rogers <lrr@cert.org> 0.9.0-1
* Release 0.9.0-1
	Version 0.9.0 (guess).

